Subject: bug#57417: Emacs crashes due to symbol lookup error to rsvg_handle_set_stylesheet

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 26 Aug 2022 17:41:35 +0200

Am Donnerstag, dem 25.08.2022 um 23:12 +0400 schrieb grokking Stuff:
> Hey fellow Guix users,
> 
> I’m trying to use Emacs on my system but it tends to crash
> unexpectedly. 
> 
> When launching it from a terminal, I get:
> 
> > grokkingstuff@grokkingNoether ~$ emacs
> > (process:32402): Gtk-WARNING **: 22:59:14.455: Locale not supported
> > by C library.
> >         Using the fallback 'C' locale.
> > /home/grokkingstuff/.guix-profile/bin/emacs: symbol lookup error:
> > /home/grokkingstuff/.guix-profile/bin/emacs: undefined symbol:
> > rsvg_handle_set_stylesheet
Looking at this output, it seems Emacs is trying to dynamically link
librsvg.  Two issues spring to mind: First, this kind of linkage is not
that well supported by Guix, so we tend to substitute* the full path. 
Is this done for librsvg?  Second, there might be a (version) mismatch
between the librsvg Emacs expects and the one it gets.  Does
rsvg_handle_set_stylesheet actually exist as a symbol in your librsvg?

Cheers